
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>Installing &#8212; huey 2.0.0 documentation</title>
    <link rel="stylesheet" href="_static/classic.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    
    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script async="async" type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Guide" href="guide.html" />
    <link rel="prev" title="huey, a little task queue" href="index.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="guide.html" title="Guide"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="index.html" title="huey, a little task queue"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">huey 2.0.0 documentation</a> &#187;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="installing">
<span id="installation"></span><h1>Installing<a class="headerlink" href="#installing" title="Permalink to this headline">¶</a></h1>
<p>huey can be installed from PyPI using <a class="reference external" href="http://www.pip-installer.org/en/latest/index.html">pip</a>.</p>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>$ pip install huey
</pre></div>
</div>
<p>huey has no dependencies outside the standard library, but <a class="reference external" href="https://github.com/andymccurdy/redis-py">redis-py</a>
is required to utilize Redis for your task storage:</p>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>$ pip install redis
</pre></div>
</div>
<p>If your tasks are IO-bound rather than CPU-bound, you might consider using the
<code class="docutils literal notranslate"><span class="pre">greenlet</span></code> worker type. To use the greenlet workers, you need to
install <code class="docutils literal notranslate"><span class="pre">gevent</span></code>:</p>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>pip install gevent
</pre></div>
</div>
<div class="section" id="using-git">
<h2>Using git<a class="headerlink" href="#using-git" title="Permalink to this headline">¶</a></h2>
<p>If you want to run the very latest, you can clone the <a class="reference external" href="https://github.com/coleifer/huey">source
repo</a> and install the library:</p>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>$ git clone https://github.com/coleifer/huey.git
$ <span class="nb">cd</span> huey
$ python setup.py install
</pre></div>
</div>
<p>You can run the tests using the test-runner:</p>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>$ python setup.py <span class="nb">test</span>
</pre></div>
</div>
<p>The source code is available online at <a class="reference external" href="https://github.com/coleifer/huey">https://github.com/coleifer/huey</a></p>
</div>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">Installing</a><ul>
<li><a class="reference internal" href="#using-git">Using git</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="index.html"
                        title="previous chapter">huey, a little task queue</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="guide.html"
                        title="next chapter">Guide</a></p>
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/installation.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="guide.html" title="Guide"
             >next</a> |</li>
        <li class="right" >
          <a href="index.html" title="huey, a little task queue"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">huey 2.0.0 documentation</a> &#187;</li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2013, charles leifer.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 1.8.1.
    </div>
  </body>
</html>